## ros-indigo-create-gazebo-plugins 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_gazebo_plugins)

# Find gazebo
include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(GAZEBO gazebo)
endif()

find_package(catkin REQUIRED COMPONENTS create_node
                                        gazebo_ros
                                        geometry_msgs
                                        nav_msgs
                                        roscpp
                                        sensor_msgs)

catkin_package(INCLUDE_DIRS include
               LIBRARIES gazebo_ros_create
               CATKIN_DEPENDS create_node
                              gazebo_ros
                              geometry_msgs
                              nav_msgs
                              roscpp
                              sensor_msgs)

link_directories(${GAZEBO_LIBRARY_DIRS})
include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${GAZEBO_INCLUDE_DIRS})

add_library(gazebo_ros_create src/gazebo_ros_create.cpp)

add_dependencies(gazebo_ros_create create_node_gencpp
                                   geometry_msgs_gencpp
                                   nav_msgs_gencpp
                                   sensor_msgs_gencpp)

target_link_libraries(gazebo_ros_create
                      ${catkin_LIBRARIES}
                      ${GAZEBO_LIBRARIES})

install(TARGETS gazebo_ros_create
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-create-gazebo-plugins (2.3.1-0trusty) trusty; urgency=high



 -- Nate Koenig <nate@osrfoundation.org>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-create-gazebo-plugins (2.3.0-0trusty) trusty; urgency=high

  * Update contact manager for Gazebo 2.0
  * add catkin_ignore due to the compile error. remove this when it is ready go
  * -Fix instantaneous odom getting computed, but not published (would alway publish 0 before)
  * Fix compilation on OS X (at least 10.9)
    - without this, linking fails.
  * replace deprecated shared_dynamic_cast (fixes #9 <https://github.com/turtlebot/turtlebot_create_desktop/issues/9>)
  * fixes gazebo header paths (refs #7 <https://github.com/turtlebot/turtlebot_create_desktop/issues/7>)
  * Contributors: Jihoon Lee, Marcus Liebhardt, Nikolaus Demmel, Samir Benmendil, Stefan Kohlbrecher, trainman419

 -- Nate Koenig <nate@osrfoundation.org>  Sun, 30 Nov 2014 15:00:00 -0000

ros-indigo-create-gazebo-plugins (2.2.0-0trusty) trusty; urgency=high

  * publish odom and joint_states with absolute paths so they don't go under /turtlebot_node/ namespace.
  * adds bugtracker and repo info to package.xml

 -- Nate Koenig <nate@osrfoundation.org>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-create-gazebo-plugins (2.1.0-0trusty) trusty; urgency=high

  * Fully catkinized
  * Hydro beta release

 -- Nate Koenig <nate@osrfoundation.org>  Wed, 17 Jul 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-create-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Nate Koenig <nate@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-create-node, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/create_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-indigo-create-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-create-node, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: Gazebo plugins for the iRobot Create

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-create-gazebo-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
